import { Component } from '@angular/core';
import { MatDialog, MatDialogConfig } from '@angular/material';
import { DialogComponent } from './dialog.component';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css', '../assets/wijmo.min.css']
})
export class AppComponent {
  title = 'app';
  dialogRef: any;

  constructor(public dialog: MatDialog) {

  }

  openDialog(e) {
    if (this.dialogRef) {
      this.dialogRef.close();
    }

    const config = {};

    this.dialogRef = this.dialog.open(DialogComponent, config);
  }
}
