import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';

import { AppComponent } from './app.component';

import { DialogComponent } from './dialog.component';

import { WjCoreModule } from 'wijmo/wijmo.angular2.core';
import { WjInputModule } from 'wijmo/wijmo.angular2.input';
import { WjGridModule } from 'wijmo/wijmo.angular2.grid';
import { WjGridGrouppanelModule } from 'wijmo/wijmo.angular2.grid.grouppanel';
import { WjChartModule } from 'wijmo/wijmo.angular2.chart';
import { WjChartInteractionModule } from 'wijmo/wijmo.angular2.chart.interaction';
import { WjChartAnalyticsModule } from 'wijmo/wijmo.angular2.chart.analytics';
import { WjNavModule } from 'wijmo/wijmo.angular2.nav';

import {
  MatCommonModule,
  MatButtonModule,
  MatButtonToggleModule,
  MatFormFieldModule,
  MatInputModule,
  MatCheckboxModule,
  MatIconModule,
  MatSelectModule,
  MatMenuModule,
  MatSnackBarModule,
  MatToolbarModule,
  MatCardModule,
  MatLineModule,
  MatListModule,
  MatSortModule,
  MatTabsModule,
  MatChipsModule,
  MatRadioModule,
  MatTableModule,
  MatDialogModule,
  MatExpansionModule,
  MatRippleModule,
  MatSidenavModule,
  MatTooltipModule,
  MatProgressSpinnerModule,
  MatStepperModule,
  MAT_DIALOG_DEFAULT_OPTIONS
} from '@angular/material';


@NgModule({
  declarations: [
    AppComponent,
    DialogComponent
  ],
  imports: [
    NoopAnimationsModule,
    BrowserModule,
    MatCommonModule,
    MatButtonModule,
    MatDialogModule,
    WjCoreModule,
    WjInputModule,
    WjGridModule,
    WjChartModule,
    WjChartInteractionModule,
    WjGridGrouppanelModule,
    WjNavModule
  ],
  providers: [
  ],
  entryComponents: [
    DialogComponent
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
